Subject: bug#32597: gdb gud-watch speedbar no visible actions

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Sep 2018 16:52:54 +0300

> Date: Fri, 31 Aug 2018 03:20:24 +0200
> From: Ergus <[email-masked]>
> 
> 
> 1) "M-x speedbar" requires to be called twice for the first speedbar open. If
> this is not a bug, it is very weird.
> 
> 2) Debugging with gdb in emacs a C program I added a gud-watch for a struct
> variable. Going to the speedbar I try to open the struct tree [+] with <SPC> but
> it does nothing (i don't try mouse click because I am in a terminal session).
> 
> - It requires to quit (q) and open the "M-x speedbar" again to show the
> speedbar updated with the tree opened. It opens depends if I pressed
> <SPC> odd or even times before q.
> 
> - The opposite (close the tree) works properly without exit needed, but I can't
> open it again (previous explained behavior).
> 
> - I tried this with -Q option to check that it was not a mistake in my
> configuration.
> 
> - The speedbar in: "emacs -Q -f speedbar" works fine without this issue.
> 
> - With emacs in gui there is not problem either.

Not sure I understand you correctly: does the last part of your report
mean that the problem does not happen in "emacs -Q"?